ChiliProject - Feature # 566: The "Watcher" filter should show all users.
Description: Currently, the watcher filter only has the option "me" despite there being a permission "view issue watchers".

| have a patch that populates the watcher filter with the same users as the other user-based filters if the user
has the "view issue watchers" permission in at least one project, and adds a restriction to only the projects the|
user has the "view issue watchers" permission on, except when the only watcher selected is "me".

I'll see if | can tweak the query a little more to include the issues the user watches in projects he doesn't have
the "view issue watchers" permission on when he selects other users as well.

Associated revisions

2011-10-03 09:52 am - Felix SchAxfer
Allow to filter watchers by more than just "me". #566

History

2011-08-07 03:28 pm - Felix Schafer
- Target version set to 2.2.0

- (deleted custom field) set to master

I'll try to get this done for version#12.

2011-08-09 01:01 pm - Felix Schéafer
- Assignee deleted (Felix Schéfer)

- Status changed from Open to Ready for review

The code is in "this branch":https:/github.com/finnlabs/chiliproject/tree/feature%2F1.5.2%2F566-watcher_filter_with_all_users on GitHub. No tests yet

as my setup seems to not like the core testsa€]

2011-08-27 03:31 pm - Holger Just

- Target version changed from 2.2.0 to 2.3.0

Moving this to 2.3 as it still feels unfinished.

2011-10-03 08:01 am - Felix Schafer

I've added some tests for the filling of the filter so that there's no "obvious" leakage of private data, | don't trust the current style of the filter tests though

so | didn't add any to not create any (imo) false sense of tested- and thus correctness.

The pull request is "104 on GitHub":https:/github.com/chiliproject/chiliproject/pull/104, I'm comfortable merging it but would like a second opinion before
doing so.

2011-10-04 08:10 am - Holger Just
/me hates fixtures. And the queries code doesn't become more beautiful (but TBH, | think it must be killed with fire anyhow by now)
That said | think the patch is good for now :)

2011-10-04 08:30 am - Holger Just
- Assignee set to Felix Schéfer

- Status changed from Ready for review to Closed

Pushed to master
